Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040059
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Cash upmajoralways2019-01-23 18:242019-03-27 13:46
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revisiondbde1f4b841a
ProjectionnoneETAnoneTarget VersionRR19Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d0797b3798881a9b775cb323b3c79e49159eac58 [^]
Triggers an Emergency PackNo
Summary

0040059: Counted amount is wrong in the Cashup Report

DescriptionThe counted amount is wrong when the cashup report is printed in the backend.
Steps To ReproducePOS:
. new receipt:
 . product Avalanche Transceiver
   -> total amount 150.50 -> paid with Cash
. new receipt:
 . product Balaclava Cup
   -> total amount 169 -> paid with Card
. new receipt:
 . product Headlamp ultralight
   -> total amount 18.90 -> paid with USA Cash
. do cashup:
 . counted amounts:
   . cash-> 150
   . card -> 169
   . USA Cash -> 18.90
 ¬∑ amount to keep:
   ¬∑cash-> 200

BO:
. go to terminal-> cashup -> print cashup:
  counted amount:
   . cash -> 0 (WRONG)
   . card -> 0 (WRONG)
   . USA Cash -> 18.9 (RIGHT)
. go to terminal -> cashup -> Payment Method Status Cashup tab:
  counted amount:
   . cash -> 0 (WRONG)
   . card -> 0 (WRONG)
   . USA Cash -> 18.9 (RIGHT)

(see screenshots)

amountToKeep is 0 and it should be 200 in the backoffice
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040019 closedranjith_qualiantech_com Counted amount is wrong in the Cashup Report 

-  Notes
(0109446)
hgbot (developer)
2019-02-02 07:37

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: a27bd09dcd94bc8b4dd918c78034ddb80c9e3dfb
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 12:07:23 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/a27bd09dcd94bc8b4dd918c78034ddb80c9e3dfb [^]

Related to issue 40059 : Applied New Java Formatting

---
M src/org/openbravo/retail/posterminal/UpdateCashup.java
---
(0109447)
hgbot (developer)
2019-02-02 07:38

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: dbde1f4b841a1848c45592cc895bf6229493f016
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 12:07:51 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/dbde1f4b841a1848c45592cc895bf6229493f016 [^]

Fixed issue 40059 : PaymentMethodCashup should be updated when Cashup is Done

* PaymentMethodCashup should be created/updated for the following cases
  1) when cashup is closed
  2) when ticket is closed with respective payment

---
M src/org/openbravo/retail/posterminal/UpdateCashup.java
---
(0109448)
hgbot (developer)
2019-02-02 07:38

Repository: retail/backports/3.0RR19Q1/pi-mobile
Changeset: 2c0a46393e9028ddf058e16ad6d8a8a0ed86045e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 12:08:11 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/pi-mobile/rev/2c0a46393e9028ddf058e16ad6d8a8a0ed86045e [^]

Verifies issue 40059 : Added Automated Test "I40059_VerifyCountedAmountAfterCashup"

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I40059_VerifyCountedAmountAfterCashup.java
---
(0110688)
hgbot (developer)
2019-03-27 13:46

Repository: tools/automation/pi-mobile
Changeset: 2c0a46393e9028ddf058e16ad6d8a8a0ed86045e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Sat Feb 02 12:08:11 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/2c0a46393e9028ddf058e16ad6d8a8a0ed86045e [^]

Verifies issue 40059 : Added Automated Test "I40059_VerifyCountedAmountAfterCashup"

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I40059_VerifyCountedAmountAfterCashup.java
---

- Issue History
Date Modified Username Field Change
2019-01-30 10:52 marvintm Type defect => backport
2019-01-30 10:52 marvintm Target Version => RR19Q1
2019-02-02 07:37 hgbot Checkin
2019-02-02 07:37 hgbot Note Added: 0109446
2019-02-02 07:38 hgbot Checkin
2019-02-02 07:38 hgbot Note Added: 0109447
2019-02-02 07:38 hgbot Status scheduled => resolved
2019-02-02 07:38 hgbot Resolution open => fixed
2019-02-02 07:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c5744e78fbacd1937c39fce01e867a30cf4cd7f4 [^] => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/dbde1f4b841a1848c45592cc895bf6229493f016 [^]
2019-02-02 07:38 hgbot Checkin
2019-02-02 07:38 hgbot Note Added: 0109448
2019-02-15 14:22 marvintm Review Assigned To => marvintm
2019-02-15 14:22 marvintm Status resolved => closed
2019-02-15 14:22 marvintm Fixed in Version => RR19Q1
2019-03-27 13:46 hgbot Checkin
2019-03-27 13:46 hgbot Note Added: 0110688


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker